Open SCAP Library

Macros | Functions
ldap57.c File Reference

ldap57 probe More...

`#include <stdbool.h>`
`#include <ldap.h>`
`#include "probe-api.h"`
`#include "common/assume.h"`
`#include "common/debug_priv.h"`

## Macros
#define | get_string(dst, se_dst, obj, ent_name)

## Functions
int | probe_main (probe_ctx *ctx, void *mutex)

## Detailed Description

ldap57 probe

Author
  "Daniel Kopecek" dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m

## Macro Definition Documentation

## ◆ get_string

#define get_string | ( |  | dst,
|  |  | se_dst,
|  |  | obj,
|  |  | ent_name
| ) |  |

Value:
do { \
SEXP_t *__sval; \
\
__sval = probe_obj_getentval (obj, ent_name, 1); \
\
if (__sval != NULL) { \
(dst) = SEXP_string_cstr (__sval); \
\
if ((dst) == NULL) { \
SEXP_free(__sval); \
return (PROBE_EINVAL); \
} \
\
(se_dst) = __sval; \
} else { \
return (PROBE_ENOATTR); \
} \
} while (0)
SEXP_string_cstr
char * SEXP_string_cstr(const SEXP_t *s_exp)
Get a C string from a sexp object.
Definition: sexp-manip.c:757
probe_obj_getentval
SEXP_t * probe_obj_getentval(const SEXP_t *obj, const char *name, uint32_t n)
Get the value of an object&#39;s entity.
Definition: probe-api.c:448
PROBE_EINVAL
#define PROBE_EINVAL
Invalid type/value/format.
Definition: probe-api.h:448
PROBE_ENOATTR
#define PROBE_ENOATTR
Missing attribute.
Definition: probe-api.h:451